Subject: Re: bug#58782: 29.0.50; tramp-kubernetes - connection cache not cleared

From: Michael Albinus <[email-masked]>
Date: Sat, 29 Oct 2022 18:03:25 +0200

Filipp Gunbin <[email-masked]> writes:

Hi Filipp,

> Kubernetes from Docker Desktop
> (https://www.docker.com/products/docker-desktop/), one pod
> "myapp-67cd597654-wxdjn" in namespace "main".
>
> emacs -Q
>
> 1) shell command: kubectl config set-context --current --namespace=main
> 2) C-x C-f /kubernetes:myapp-67cd597654-wxdjn:/
> 3) M-x tramp-cleanup-this-connection
> 4) shell command: kubectl config set-context --current --namespace=
> 5) Again C-x C-f /kubernetes:myapp-67cd597654-wxdjn:/
>
> I get an error, and completion cache (C-x C-f /kubernetes: TAB) is
> cleared properly.

I'm nbot sure what you mean with "I get an error".

> But if at the step 5 I instead go to existing dired buffer opened at
> step 2, and type, say, "i" on a subdirectory, I get the same error,
> but the cache is NOT cleared - this is the bug.

Again: which error?

> The workaround is to set tramp-completion-use-cache to nil.  But
> perhaps there exists a better fix.

This is only for hot nam,e completion. I don't see how it fits to your
use case.

(As usual, please show all messages you get, and pls show the Tramp
debug buffer with sufficient tramp-verbose)

> Thanks.

Best regards, Michael.